Subject: [bug#46872] [PATCH] doc: Define canned recipes for creating translated manuals.

From: Maxime Devos <[email-masked]>
Date: Thu, 20 Jan 2022 16:44:14 +0000

Ludovic Courtès schreef op do 20-01-2022 om 15:05 [+0100]:
> [...] However, it doesn’t work as expected:
> 
> --8<---------------cut here---------------start------------->8---
> $ rm -f doc/contributing.fr.texi
> $ make doc/contributing.fr.texi
> make: 'doc/contributing.fr.texi' is up to date.
> $ ls -l doc/contributing.fr.texi
> ls: ne eblas atingi 'doc/contributing.fr.texi': Dosiero aŭ dosierujo ne ekzistas
> --8<---------------cut here---------------end--------------->8---
> 
> If I inline the expansion of ‘translate_chapter_command’, everything
> works as expected.
> 
> My GNU Make is rusty and fuzzy, but I wonder if we can expand text that
> includes tabs.  I vaguely remember that I’d usually define functions
> that would expand the whole text: target/prerequisites + commands.

My GNU Make is practically non-existent, e.g. I always forget whether
to use $< or $@ or $? (does $? even exist?) ...

> WDYT?

... so as long as it works, it is seems ok to me.

Greetings,
Maxime